Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot.module.equity
Class SubjectiveAllinEquity

    java.lang.Object
      bot.module.equity.SubjectiveAllinEquity

All Implemented Interfaces:
  IF_Equity, IF_GetEquity

    public class SubjectiveAllinEquity

extends java.lang.Object
implements IF_Equity

This class weights the odds of the pot size to the needed call size against the odds of winning the hand.

Author:
  Witthold/Korol

Field Summary
`private int` | `gameType`
`private int` | `maxBoardCards`

Constructor Summary
`SubjectiveAllinEquity(int gameType, int maxBoardCards)`

Method Summary
`private BeliefVector` | `getBeliefVector(java.lang.String string)` Returns the BeliefVector for the given string depending on the game type.
`double[]` | `getEquity(int numHoleSamples, int numBoardSamples, Card[][] holeCards_in, Card[] boardCards_in, Card[] deadCards_in)` Returns the equity for each player.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### gameType

    private int gameType

### maxBoardCards

    private int maxBoardCards

Constructor Detail

### SubjectiveAllinEquity

    public SubjectiveAllinEquity(int gameType,
                                 int maxBoardCards)

Method Detail

### getEquity

    public double[] getEquity(int numHoleSamples,
                              int numBoardSamples,
                              Card[][] holeCards_in,
                              Card[] boardCards_in,
                              Card[] deadCards_in)

  Description copied from interface: `IF_Equity`
  Returns the equity for each player.

  Specified by:
    `getEquity` in interface `IF_Equity`

### getBeliefVector

    private BeliefVector getBeliefVector(java.lang.String string)

  Returns the BeliefVector for the given string depending on the game type. Only texas holdem BeliefVectors are implemented yet.

  Parameters:
    `string` - The string describing the believed cards of the player.
  Returns:
    The BeliefVector for the game type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD